Loading...
Searching...
No Matches
etl::compare< T, TLess > Struct Template Reference

`#include <compare.h>`

## Public Types

enum | cmp_result { Less = -1 , Equal = 0 , Greater = 1 }
typedef etl::parameter_type< T >::type | first_argument_type
typedef etl::parameter_type< T >::type | second_argument_type

## Static Public Member Functions

static ETL_CONSTEXPR bool | lt (first_argument_type lhs, second_argument_type rhs)
static ETL_CONSTEXPR bool | gt (first_argument_type lhs, second_argument_type rhs)
static ETL_CONSTEXPR bool | lte (first_argument_type lhs, second_argument_type rhs)
static ETL_CONSTEXPR bool | gte (first_argument_type lhs, second_argument_type rhs)
static ETL_CONSTEXPR bool | eq (first_argument_type lhs, second_argument_type rhs)
static ETL_CONSTEXPR bool | ne (first_argument_type lhs, second_argument_type rhs)
static ETL_CONSTEXPR cmp_result | cmp (first_argument_type lhs, second_argument_type rhs)

## Detailed Description

template<typename T, typename TLess = etl::less<T>>
struct etl::compare< T, TLess >

Defines <=, >, >=, ==, !=, <=> in terms of < Default implementation of TLess is etl::less

The documentation for this struct was generated from the following file:

- include/etl/compare.h